Bug 115369 - Icons for the cell's shadows positions are inverted
Summary: Icons for the cell's shadows positions are inverted
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0 target:6.0.1 target:5.4.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2018-02-01 11:35 UTC by britfox42
Modified: 2018-02-07 09:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Shadows icons (24.45 KB, image/png)
2018-02-01 11:35 UTC, britfox42
Details

Note You need to log in before you can comment on or make changes to this bug.
Description britfox42 2018-02-01 11:35:06 UTC
Created attachment 139494 [details]
Shadows icons

The icons for the cell's shadows positions are inverted.
Comment 1 Xisco Faulí 2018-02-02 09:46:00 UTC
Confirmed in

Version: 6.1.0.0.alpha0+
Build ID: 9baa3fcf1f414c74d2ea1b55b2cb358527fe7364
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: en-US (C); Calc: group
Comment 2 Xisco Faulí 2018-02-02 09:56:18 UTC
Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2016-12-21 13:04:30 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2016-12-21 13:53:34 +0000
commit	910f91a3e5228f26f0692f870a3fd3919835eb27 (patch)
tree	2b0d70975e20307d069c6b0af95a8c608c719dce
parent	cc7e9b5dbe14e08c9c8ad8eeb37eb20cba1cbd49 (diff)
unwind IL_SDW_BITMAPS ImageList

Bisected with: bibisect-linux-64-5.4

Adding Cc: to Caolán McNamara
Comment 3 Commit Notification 2018-02-03 07:25:30 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=16f73180603b84414ecf4c2c757bf5ca6b8e303d

Resolves: tdf#115369 wrong cell shadow icons

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2018-02-03 07:27:41 UTC
backports in gerrit
Comment 5 Commit Notification 2018-02-04 21:15:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6ff4bf9a2720b504e5134f5b34ac6c3b51fefd1f&h=libreoffice-6-0

Resolves: tdf#115369 wrong cell shadow icons

It will be available in 6.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-02-07 09:51:47 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=01f19aba638860db54ca9a60e30ce6f21ee0ea5a&h=libreoffice-5-4

Resolves: tdf#115369 wrong cell shadow icons

It will be available in 5.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.